# $Revision: 1.44 $, $Date: 2004/08/11 18:10:55 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTTPD
%define	pnam	User-Manage
Summary:	Managing access control with the Apache, NCSA httpd, CERN and Netscape servers
Summary(pl):	Kontrola dostpu w serwerach Apache, NCSA httpd, CERN i Netscape
Name:		perl-HTTPD-User-Manage
Version:	1.62
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	92442d6d04cf09b3b26b79b0f6bfafa5
Patch0:		%{name}-module_names.patch
Patch1:		%{name}-version_tweak.patch
BuildRequires:	perl-DBI
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	perl-HTTPD-Tools

# SQL access is used conditionally
%define		_noautoreq 'perl(Mysql)' 'perl(NDBM_File)'

%description
HTTPD-User-Manage package contains a script and set of Perl modules
for managing access control with the Apache, NCSA httpd, CERN and
Netscape servers (and maybe some others).

%description -l pl
Pakiet HTTPD-User-Manage zawiera skrypt i zestaw moduw Perla do
zarzdzania kontrol dostpu w serwerach Apache, NCSA httpd, CERN i
Netscape (a by moe take kilku innych).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorlib}/HTTPD
%{perl_vendorlib}/HTTPD/*.pm
%dir %{perl_vendorlib}/HTTPD/GroupAdmin
%{perl_vendorlib}/HTTPD/GroupAdmin/*.pm
%dir %{perl_vendorlib}/HTTPD/GroupAdmin/DBM
%{perl_vendorlib}/HTTPD/GroupAdmin/DBM/apache.pm
%dir %{perl_vendorlib}/HTTPD/GroupAdmin/Text
%{perl_vendorlib}/HTTPD/GroupAdmin/Text/cern.pm
%dir %{perl_vendorlib}/HTTPD/UserAdmin
%{perl_vendorlib}/HTTPD/UserAdmin/*.pm
%dir %{perl_vendorlib}/HTTPD/UserAdmin/DBM
%{perl_vendorlib}/HTTPD/UserAdmin/DBM/netscape.pm
%dir %{perl_vendorlib}/HTTPD/UserAdmin/Text
%{perl_vendorlib}/HTTPD/UserAdmin/Text/cern.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTTPD-User-Manage.spec,v $
Revision 1.44  2004/08/11 18:10:55  radek
- _noautoreq: perl(NDBM_File)

Revision 1.43  2004/08/11 18:07:18  radek
- release 2: added -version_tweak.patch

Revision 1.42  2004/08/08 18:33:11  adamg
- updated to 1.62

Revision 1.41  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.40  2004/04/22 08:53:56  ankry
- summary/desc

Revision 1.38  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.37  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.36  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.35  2003/08/18 08:08:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.34  2003/05/28 13:00:41  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.31  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.30  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.29  2003/02/18 15:33:25  ankry
- massive attack: change CPAN URLs

Revision 1.28  2003/02/05 16:18:36  ankry
- autoupdated to 1.61

Revision 1.27  2002/11/28 18:06:05  mis
- autoupdated to 1.6

Revision 1.26  2002/07/15 23:20:32  ankry
- mising dots

Revision 1.25  2002/07/15 21:24:41  ankry
- multiple typos

Revision 1.24  2002/07/15 16:43:26  ankry
- fix old names of referenced modules - patch0
- _noautoreqdep for Mysql (it is used conditionally)
- release 3

Revision 1.23  2002/07/15 16:27:55  ankry
- translations based on RH
- typos
- release 2

Revision 1.22  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.21  2002/07/11 07:59:48  depesz
- new version; should work; STBR

Revision 1.20  2002/07/10 08:47:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:32:06  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:16:24  depesz
automatic: Source location unified, Relase Up

Revision 1.15  2002/02/10 15:27:21  depesz
adapterized

Revision 1.14  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/04/17 12:10:46  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/20 14:56:50  mis
- updated (by autoup) to 1.58

Revision 1.9  2001/01/08 21:41:19  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/11/17 15:05:21  kloczek
 -updated to 1.54,
 - use new rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.4  2000/05/02 21:05:03  baggins
- fixed including macros

Revision 1.3  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.1  1999/10/01 21:51:12  pius
- initial release
